Skip to main content
GET
/
api
/
v2
/
accounts
/
bulk
/
status
/
{jobId}
Get Bulk Upload Job Status
curl --request GET \
  --url https://sandbox.killb.app/api/v2/accounts/bulk/status/{jobId} \
  --header 'Authorization: Bearer <token>'
{
  "jobId": "e8d74b2f-86df-43b0-a9d9-72055a6b0432",
  "status": "COMPLETED",
  "totalRows": 100,
  "processedRows": 100,
  "successCount": 98,
  "errorCount": 2,
  "results": [
    {
      "rowNumber": 2,
      "status": "SUCCESS",
      "accountId": "e8d74b2f-86df-43b0-a9d9-72055a6b0432",
      "complianceUrl": "https://compliance.example.com/review/e8d74b2f",
      "error": "Account already exists for this user",
      "sheetName": "Sheet1",
      "originalRowData": {
        "rowNumber": 2,
        "entityType": "PERSON",
        "email": "[email protected]",
        "phone": "+576015555555",
        "accountType": "PSE",
        "documentNumber": "123456789",
        "documentIssuedCountryCode": "CO",
        "countryCode": "CO",
        "firstName": "John",
        "middleName": "Carlos",
        "lastName": "Doe",
        "companyName": "Acme Corp",
        "personDocumentType": "PASSPORT",
        "companyDocumentType": "NIT",
        "bankCode": "001",
        "accountNumber": "1234567890",
        "clabe": "CLABE123456789012345",
        "bankAccountType": "savings",
        "externalId": "external-id-123",
        "routingNumber": "021000021",
        "bankName": "Banco de Bogotá",
        "swiftCode": "BOFAUS3N",
        "iban": "GB29NWBK60161331926819",
        "address": "123 Main St, Bogotá, Colombia",
        "currency": "USDC",
        "network": "POLYGON",
        "cvu": "0000003100025695",
        "aliasType": "NATIONAL_ID",
        "alias": "john.doe",
        "bankAddressStreet1": "100 Wall Street",
        "bankAddressStreet2": "Suite 500",
        "bankAddressCity": "New York",
        "bankAddressState": "NY",
        "bankAddressZipCode": "10005",
        "bankAddressCountryCode": "US",
        "account": "3001234567",
        "transfiyaAccountType": "SAVINGS",
        "clabeType": "CLABE",
        "pixKeyType": "CPF",
        "pixKey": "12345678901",
        "cci": "12345678901234567890"
      }
    }
  ],
  "createdAt": "2026-04-23T00:38:08.439Z",
  "updatedAt": "2026-04-23T00:38:08.439Z",
  "resultsFileUrl": "https://storage.example.com/results/job-e8d74b2f.xlsx",
  "error": "Partial failure during processing"
}

Documentation Index

Fetch the complete documentation index at: https://docs.killb.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

jobId
string
required

Response

jobId
string
required
Example:

"e8d74b2f-86df-43b0-a9d9-72055a6b0432"

status
enum<string>
required
Available options:
PENDING,
PROCESSING,
COMPLETED,
FAILED
Example:

"COMPLETED"

totalRows
number
required
Example:

100

processedRows
number
required
Example:

100

successCount
number
required
Example:

98

errorCount
number
required
Example:

2

results
object[]
required
createdAt
string<date-time>
required
Example:

"2026-04-23T00:38:08.439Z"

updatedAt
string<date-time>
required
Example:

"2026-04-23T00:38:08.439Z"

resultsFileUrl
string
Example:

"https://storage.example.com/results/job-e8d74b2f.xlsx"

error
string
Example:

"Partial failure during processing"